#demo logging techniques

#region Write-Log

psedit S:\Write-Log-v2.ps1

#demo example
#Here is a sample function that uses the Write-Log function after it has been dot sourced.
# Within the sample function, the logging variables are defined.
    
Function TryMe {
[cmdletbinding()]
Param([string]$computername=$env:computername,
[string]$Log,
[switch]$AppendLog
)
if ($log) 
{
    $loggingPreference="Continue"
    $loggingFilePreference=$log

    if ((Test-Path $log) -AND (-Not $AppendLog)) {
        #delete the existing log
        remove-item -path $log -force
    }
}

Write-log "Starting Command"
Write-log "Connecting to $computername"
$b = get-wmiobject win32_operatingsystem -ComputerName $computername
$b
Write-Log "OS = $($b.caption)"
Write-Log "finished" $log
}

TryMe -log d:\logs\sample.txt -verbose

get-content d:\logs\sample.txt


#endregion

#region CSV logging

psedit C:\scripts\Demo-WriteCSVLog.ps1
psedit C:\scripts\Write-CSVLog.ps1

#endregion

#region Write-Information

psedit c:\scripts\demo-writeinformation.ps1

#endregion