﻿
#dot source the function
. C:\scripts\Write-CSVLog.ps1

Function demo-me {

write-csvlog "This is a test" 
get-service

start-sleep -Seconds 5
write-csvlog "This is another test"

}

#construct a log path from the WindowsPowerShell directory, file name and a timestamp

$pshpath = Join-path -path $env:USERPROFILE -ChildPath Documents\WindowsPowerShell -Resolve
$dtstring = get-date -f yyyy-MMdd-hhmmss
$cmdname = ($myinvocation.MyCommand.Name).substring(0,($myinvocation.MyCommand.Name).indexof("."))
$csvLog = Join-Path -Path $pshpath -ChildPath "$($cmdname)_$($dtstring).csv"

$PSDefaultParameterValues.'Write-CSVLog:Path'=$csvLog

demo-me

# see the results
# import-csvlog $csvlog 